/*
 * Demonstration: Shopping Cart
 * in Flash MX 2004 
 * by PhilFlash - http://philflash.inway.fr
 * Fvrier 2005
 *
 */
 
import mx.controls.Button;
import mx.controls.TextArea;
import mx.data.components.XMLConnector;
import mx.utils.Delegate;

class form.ResultForm extends mx.screens.Form {

	public var backButton:Button;
	public var result_ta:TextArea;
	
	public var cart_con:XMLConnector;

 	// Constructor	
	public function ResultForm() {}

 	// -----   -----	
	public function init():Void {
		super.init();
		addEventListener("reveal", onReveal);
	}

 	// -----   -----	
	public function onLoad():Void {
		setVisible(false);
		backButton.addEventListener("click", Delegate.create(this, doBackAction));
		
		// Title 
		var titles = ["title_ta"];
		var length = titles.length;
 		for (var i = 0; i < length; i++) {
 			var component = this[titles[i]];	
			component.editable = false;
			component.html = true;
			component.tabEnabled = false;	

			component.styleSheet = (rootForm).myappliStyleSheet;
			component.setStyle("backgroundColor", 0xE5ECF9);
			// top
			component.setStyle("buttonColor", 0x000064);
			component.setStyle("highlightColor", 0xE5ECF9);
			// side
			component.setStyle("shadowCapColor", 0xE5ECF9);
			component.setStyle("borderCapColor", 0xE5ECF9);
			// bottom
			component.setStyle("shadowColor", 0xE5ECF9);
			component.setStyle("borderColor", 0xE5ECF9);
		}
	}

 	// -----   -----	
	public function onReveal(obj:Object):Void {
		var document:XML = (rootForm).cart.cartToXML();
		result_ta.text = document.toString();
	}
	
 	// -----   -----
	public function doBackAction(evt:Object):Void {
		setVisible(false);
		(rootForm).cart.setVisible(true);
	}
	

 	// -----   -----
 	public function sendToServer():Void {
 		var document:XML = (rootForm).cart.cartToXML();
 		// Envoi XML
 		cart_con.URL = "http://mayserver/myurl";
		cart_con.params = document;
		cart_con.trigger();
 	}

		
}
    

